## lqa 1.0-2

=== DESCRIPTION ===
Package: lqa
Type: Package
Title: Penalized Likelihood Inference for GLMs
Version: 1.0-2
Date: 2010-04-15
Author: Jan Ulbricht
Maintainer: Jan Ulbricht <jan.ulbricht@stat.uni-muenchen.de>
Description: This package provides some basic infrastructure and tools
        to fit Generalized Linear Models (GLMs) via penalized
        likelihood inference. Estimating procedures already implemented
        are the LQA algorithm (that is where its name come from),
        P-IRLS, RidgeBoost, GBlockBoost and ForwardBoost.
License: GPL-2
LazyLoad: yes
Packaged: 2010-04-18 08:44:38 UTC; jan
Repository: CRAN
Date/Publication: 2010-04-18 17:37:41

## lqa 1.0-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: lqa
 Type: Package
 Title: Penalized Likelihood Inference for GLMs
-Version: 1.0-2
-Date: 2010-04-15
+Version: 1.0-3
+Date: 2010-07-12
 Author: Jan Ulbricht
 Maintainer: Jan Ulbricht <jan.ulbricht@stat.uni-muenchen.de>
 Description: This package provides some basic infrastructure and tools
@@ -12,6 +12,6 @@
         P-IRLS, RidgeBoost, GBlockBoost and ForwardBoost.
 License: GPL-2
 LazyLoad: yes
-Packaged: 2010-04-18 08:44:38 UTC; jan
+Packaged: 2012-10-29 08:59:07 UTC; ripley
 Repository: CRAN
-Date/Publication: 2010-04-18 17:37:41
+Date/Publication: 2012-10-29 08:59:07

## lqa 1.0.0-1

=== debian/changelog ===
lqa (1.0.0-1) stable; urgency=low

  App made.

 -- Skyler Lehmkuhl <skykooler@yahoo.com>  Wed, 29 Jun 2011 20:24:38 +0000

## lqa 1.0.0-2

=== debian/changelog ===
lqa (1.0.0-2) stable; urgency=low

  Fixed link to Images directory.

 -- Skyler Lehmkuhl <skykooler@yahoo.com>  Thu, 30 Jun 2011 10:10:42 +0000

## lqa 1.0.0-3

=== debian/changelog ===
lqa (1.0.0-3) stable; urgency=low

  Fixed link to Images directory.

 -- Skyler Lehmkuhl <skykooler@yahoo.com>  Thu, 30 Jun 2011 10:39:43 +0000

=== debian/control ===
Source: lqa
Section: user/utilities
Priority: extra
Maintainer: Skyler Lehmkuhl <skykooler@yahoo.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: lqa
Architecture: all
Depends: python2.5, python2.5-gtk2
Description: The LED quickSAVE App allows you to quickly and easily find the potential payback for an LED lighting retrofit.
XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/lqa" install
	mkdir -p "$(CURDIR)/debian/lqa"

#	mkdir -p "$(CURDIR)/debian/lqa//usr/share/icons/hicolor/48x48/hildon/"
	cp -a "src/usr/share/icons/hicolor/48x48/hildon/lqa.png" "$(CURDIR)/debian/lqa//usr/share/icons/hicolor/48x48/hildon/lqa.png"
	mkdir -p "$(CURDIR)/debian/lqa//opt/lqa/Images/"
	cp -a "src/opt/lqa/Images/Default-horiz.jpg" "$(CURDIR)/debian/lqa//opt/lqa/Images/Default-horiz.jpg"
	mkdir -p "$(CURDIR)/debian/lqa//opt/lqa/Images/"
	cp -a "src/opt/lqa/Images/Default.jpg" "$(CURDIR)/debian/lqa//opt/lqa/Images/Default.jpg"
	mkdir -p "$(CURDIR)/debian/lqa//opt/lqa/Images/"
	cp -a "src/opt/lqa/Images/bgsmall.jpg" "$(CURDIR)/debian/lqa//opt/lqa/Images/bgsmall.jpg"
	mkdir -p "$(CURDIR)/debian/lqa//usr/share/applications/hildon/"
	cp -a "src/usr/share/applications/hildon/lqa.desktop" "$(CURDIR)/debian/lqa//usr/share/applications/hildon/lqa.desktop"
	mkdir -p "$(CURDIR)/debian/lqa//opt/lqa/"
	cp -a "src/opt/lqa/LQA.py" "$(CURDIR)/debian/lqa//opt/lqa/LQA.py"
	mkdir -p "$(CURDIR)/debian/lqa//opt/lqa/"
	cp -a "src/opt/lqa/portrait.py" "$(CURDIR)/debian/lqa//opt/lqa/portrait.py"
	mkdir -p "$(CURDIR)/debian/lqa//opt/lqa/"
	cp -a "src/opt/lqa/portrait.pyo" "$(CURDIR)/debian/lqa//opt/lqa/portrait.pyo"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## lqa 20161215.0

=== debian/changelog ===
lqa (20161215.0-2) unstable; urgency=medium

  * Point Vcs-* fields to collab-maint repos.
  * Add gbp configuration file

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 18 Dec 2016 01:20:15 +0100

lqa (20161215.0-1) unstable; urgency=medium

  * New upstream release
  * Change source format to quilt.

 -- Héctor Orón Martínez <zumbi@debian.org>  Sat, 17 Dec 2016 21:31:21 +0100

lqa (20160621.0) unstable; urgency=medium

  * Initial release (Closes: #789041)

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 19 Sep 2016 21:49:33 +0200

=== debian/control ===
Source: lqa
Section: utils
Priority: extra
Maintainer: Andrew Lee (李健秋) <ajqlee@debian.org> 
Uploaders: Héctor Orón Martínez <zumbi@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python-all-dev, python-setuptools
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
Homepage: https://git.collabora.com/cgit/singularity/tools/lqa.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/lqa.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/lqa.git/

Package: lqa
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-yaml, python-jinja2, python-requests
Description: lava qa tool
 This package contains a command line tool for LAVA quality assurance tasks.

## lqa 20180227.0

=== debian/changelog ===
lqa (20180227.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
    - No changes needed

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 28 May 2018 08:53:06 +0000

lqa (20180227.0-1) unstable; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Tue, 27 Feb 2018 15:00:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: lqa
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Andrew Lee (李健秋) <ajqlee@debian.org> 
 Uploaders: Héctor Orón Martínez <zumbi@debian.org>
 Build-Depends: debhelper (>= 9), dh-python, python-all-dev, python-setuptools

## lqa 20180702.0

=== debian/changelog ===
lqa (20180702.0-1) unstable; urgency=medium

  * New upstream release.
  * Use dh-python and pybuild.
  * Ship code for both Python 2 and Python 3.
  * Add myself to uploaders.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 02 Jul 2018 17:36:12 +0200

=== debian/control ===
Source: lqa
Section: utils
Priority: optional
Maintainer: Andrew Lee (李健秋) <ajqlee@debian.org>
Uploaders:
 Héctor Orón Martínez <zumbi@debian.org>,
 Andrej Shadura <andrewsh@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all-dev,
 python3-all-dev,
 python-yaml,
 python3-yaml,
 python-jinja2,
 python3-jinja2,
 python-requests,
 python3-requests,
 python-setuptools,
 python3-setuptools
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
Homepage: https://gitlab.collabora.com/collabora/lqa
Vcs-Git: https://salsa.debian.org/debian/lqa
Vcs-Browser: https://salsa.debian.org/debian/lqa

Package: lqa
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${python3:Depends}
Description: lava qa tool
 This package contains a command line tool for LAVA quality assurance tasks.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=lqa
export PYBUILD_DISABLE=test

%:
	dh $@ --with=python2,python3 --buildsystem=pybuild

## lqa 20191129~git41a4806

=== debian/changelog ===
lqa (20191129~git41a4806-2) unstable; urgency=medium

  * Don’t depend on python3-all-dev (Closes: #910099).
  * Ship README (Closes: #850245).

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 21 Dec 2019 11:29:57 +0100

lqa (20191129~git41a4806-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field.

  [ Andrej Shadura ]
  * New upstream snapshot.
  * Add a watch file.
  * Update gbp.conf.
  * Drop Python 2 support (Closes: #936968).
  * Bump debhelper from old 9 to 12.
  * d/control: Add .git to Vcs-Git.
  * Bump Standards-Version to 4.4.1.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 29 Nov 2019 18:43:33 +0100

=== debian/control ===
Source: lqa
Section: utils
Priority: optional
Maintainer: Andrew Lee (李健秋) <ajqlee@debian.org>
Uploaders:
 Héctor Orón Martínez <zumbi@debian.org>,
 Andrej Shadura <andrewsh@debian.org>
Build-Depends:
 dh-python,
 python3-all,
 python3-yaml,
 python3-jinja2,
 python3-requests,
 python3-setuptools,
 debhelper-compat (= 12)
Standards-Version: 4.4.1
Homepage: https://gitlab.collabora.com/collabora/lqa
Vcs-Git: https://salsa.debian.org/debian/lqa.git
Vcs-Browser: https://salsa.debian.org/debian/lqa

Package: lqa
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: lava qa tool
 This package contains a command line tool for LAVA quality assurance tasks.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=lqa
export PYBUILD_DISABLE=test

%:
	dh $@ --with=python3 --buildsystem=pybuild

=== debian/watch ===
version=4

opts="mode=git, pgpmode=none, repack, compression=xz" \
 https://gitlab.collabora.com/collabora/lqa \
 refs/tags/([\d.]+)

opts="mode=git, pgpmode=none, pretty=%cd~git%h, repack, compression=xz" \
 https://gitlab.collabora.com/collabora/lqa \
 HEAD

#https://pypi.debian.net/@PACKAGE@/ \
#    @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## lqa 20210324~git9fff6ab09969

=== debian/changelog ===
lqa (20210324~git9fff6ab09969-2) unstable; urgency=medium

  * Add missing build dependency on python3-docutils.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 19 Jan 2022 16:53:40 +0100

lqa (20210324~git9fff6ab09969-1) unstable; urgency=medium

  * Orphan the package.
  * Build and install the manpage.
  * Use dh-sequence-python3.
  * Wrap and sort.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 19 Jan 2022 15:59:20 +0100

## lqa 20230104~git9be8db8ab65c

=== debian/changelog ===
lqa (20230104~git9be8db8ab65c-1) unstable; urgency=medium

  * New upstream snapshot:
    - Requests based transport for server proxy.
    - Make `lqa wait` also wait for job status Scheduled.
    - Update the examples to use the same example as LAVA itself.
    - Fix jobs status methods for new LAVA API.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 04 Jan 2023 15:33:36 +0100

=== debian/control ===
Source: lqa
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-docutils,
 python3-jinja2,
 python3-requests,
 python3-setuptools,
 python3-yaml,
Standards-Version: 4.6.0
Homepage: https://gitlab.collabora.com/collabora/lqa
Vcs-Git: https://salsa.debian.org/debian/lqa.git
Vcs-Browser: https://salsa.debian.org/debian/lqa

Package: lqa
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: lava qa tool
 This package contains a command line tool for LAVA quality assurance tasks.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=lqa
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_installman:
	rst2man lqa.rst lqa.1
